Subject: Re: linux-next: Tree for Oct 24 (xilinx_uartps)

From: Randy Dunlap <[email-masked]>
Date: Thu, 24 Oct 2013 13:02:09 -0700

On 10/24/13 09:31, Thierry Reding wrote:
> Hi all,
> 
> I've uploaded today's linux-next tree to the master branch of the
> repository below:
> 
>         git://gitorious.org/thierryreding/linux-next.git
> 
> A next-20131024 tag is also provided for convenience.
> 
> Quite a few new conflicts. Some of them non-trivial. I've fixed another
> set of build failures, so 32-bit and 64-bit allmodconfigs build fine on
> x86. ARM and x86 default configurations also build fine. PowerPC is in
> pretty bad shape, mostly due to some OF header rework going on.
> 
> I'm somewhat short on time today, so I probably won't manage to send out
> detailed conflict reports out today. I'll try to do that tomorrow,
> though.

on i386:

drivers/tty/serial/xilinx_uartps.c: In function 'xuartps_clk_notifier_cb':
drivers/tty/serial/xilinx_uartps.c:436:7: error: 'PRE_RATE_CHANGE' undeclared (first use in this function)
drivers/tty/serial/xilinx_uartps.c:436:7: note: each undeclared identifier is reported only once for each function it appears in
drivers/tty/serial/xilinx_uartps.c:446:36: error: dereferencing pointer to incomplete type
drivers/tty/serial/xilinx_uartps.c:461:7: error: 'POST_RATE_CHANGE' undeclared (first use in this function)
drivers/tty/serial/xilinx_uartps.c:470:24: error: dereferencing pointer to incomplete type
drivers/tty/serial/xilinx_uartps.c:475:7: error: 'ABORT_RATE_CHANGE' undeclared (first use in this function)
drivers/tty/serial/xilinx_uartps.c: In function 'xuartps_probe':
drivers/tty/serial/xilinx_uartps.c:1385:2: error: implicit declaration of function 'clk_notifier_register' [-Werror=implicit-function-declaration]
drivers/tty/serial/xilinx_uartps.c:1418:2: error: implicit declaration of function 'clk_notifier_unregister' [-Werror=implicit-function-declaration]

Full randconfig file is attached.

-- 
~Randy